org.jbpm.services.task

## Class HumanTaskConfigurator

- java.lang.Object
- - org.jbpm.services.task.HumanTaskConfigurator

-     public class HumanTaskConfigurator
      extends Object

  Task service configurator that provides fluent API approach to building `TaskService` instances. Most of the attributes have their defaults but there is one that must be explicitly set
  - entityManagerFactory
  Important to notice is defaults for:
  - userInfo - DefaultUserInfo by default
  - userGroupCallback - uses MvelUserGroupCallbackImpl by default
  See Also:
    `DefaultUserInfo`, `MvelUserGroupCallbackImpl`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HumanTaskConfigurator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addDefaultInterceptor()`
    `protected void` | `addErrorHandlingInterceptor()`
    `protected void` | `addOptimisticLockInterceptor()`
    `protected void` | `addTransactionLockInterceptor()`
    `HumanTaskConfigurator` | `entityManagerFactory(javax.persistence.EntityManagerFactory emf)`
    `HumanTaskConfigurator` | `environment(org.kie.api.runtime.Environment environment)`
    `org.kie.api.task.TaskService` | `getTaskService()`
    `HumanTaskConfigurator` | `interceptor(int priority, org.drools.core.runtime.ChainableRunner interceptor)`
    `HumanTaskConfigurator` | `listener(org.kie.api.task.TaskLifeCycleEventListener listener)`
    `HumanTaskConfigurator` | `userGroupCallback(org.kie.api.task.UserGroupCallback userGroupCallback)`
    `HumanTaskConfigurator` | `userInfo(org.kie.api.task.UserInfo userInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HumanTaskConfigurator

          public HumanTaskConfigurator()

  - ### Method Detail

    - #### interceptor

          public HumanTaskConfigurator interceptor(int priority,
                                                   org.drools.core.runtime.ChainableRunner interceptor)

    - #### listener

          public HumanTaskConfigurator listener(org.kie.api.task.TaskLifeCycleEventListener listener)

    - #### environment

          public HumanTaskConfigurator environment(org.kie.api.runtime.Environment environment)

    - #### entityManagerFactory

          public HumanTaskConfigurator entityManagerFactory(javax.persistence.EntityManagerFactory emf)

    - #### userInfo

          public HumanTaskConfigurator userInfo(org.kie.api.task.UserInfo userInfo)

    - #### userGroupCallback

          public HumanTaskConfigurator userGroupCallback(org.kie.api.task.UserGroupCallback userGroupCallback)

    - #### getTaskService

          public org.kie.api.task.TaskService getTaskService()

    - #### addDefaultInterceptor

          protected void addDefaultInterceptor()

    - #### addTransactionLockInterceptor

          protected void addTransactionLockInterceptor()

    - #### addOptimisticLockInterceptor

          protected void addOptimisticLockInterceptor()

    - #### addErrorHandlingInterceptor

          protected void addErrorHandlingInterceptor()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.